Уважаемые пользователи!
Напоминаем, что с 7 ноября 2020 года phpBB Group прекратила выпуск обновлений для phpBB версии 3.2.
С учетом этого, рекомендуется обновить конференции до версии 3.3.
Сайт официальной русской поддержки phpBB Guru продолжит поддержку phpBB 3.2 до отдельного объявления.

Сообщаем об ошибках phpBB 3.1.x разработчикам

Проблемы с установкой или работой phpBB 3.1.x? Получите помощь здесь!
С 1 июля 2018 года phpBB Group прекращает поддержку phpBB версии 3.1.
Сайт официальной русской поддержки phpBB Guru продолжит поддержку phpBB 3.1 до 1 января 2019 года.
Подробнее: Окончание поддержки phpBB 3.1.
Правила форума
Местная Конституция | Шаблон запроса | Документация (phpBB3) | Мини [FAQ] по phpBB3.1.x | FAQ-3 (phpbb3) | Как задавать вопросы | Как устанавливать расширения

Ваш вопрос может быть удален без объяснения причин, если на него есть ответы по приведённым ссылкам (а вы рискуете получить предупреждение ;) ).
Аватара пользователя
HAMMER663
Former team member
Сообщения: 2032
Стаж: 13 лет 10 месяцев
Откуда: Зеленоград
Благодарил (а): 37 раз
Поблагодарили: 39 раз

Re: Сообщаем об ошибках phpBB 3.1.x разработчикам

Сообщение HAMMER663 »

Я рад.
Удали сначала интеграцию у себя. А потом обновляйся. И вообще, по обновлению есть отдельная тема
Аватара пользователя
владимир1983
phpBB 3.2.6
Сообщения: 5954
Стаж: 13 лет 9 месяцев
Откуда: Сергиев Посад
Благодарил (а): 306 раз
Поблагодарили: 296 раз

Re: Сообщаем об ошибках phpBB 3.1.x разработчикам

Сообщение владимир1983 »

Sponsor писал(а):Обновляю phpbb с 3.0.12 на phpBB 3.1.0 Beta1
Почему на phpBB 3.1.0 Beta1?
Обновляй на актуальную версию http://www.phpbbguru.net/files/base/phpbb31-ru/
Как обновлять читай в теме по миграции на 3.1

Добавлено спустя 55 секунд:
HAMMER663 как понял что интеграция с джумлой?

Добавлено спустя 1 минуту 21 секунду:
Вижу

Код: Выделить всё

The service definition "auth.provider.joomla"
Добавлено спустя 47 секунд:
Sponsor отключи мост, а лучше выкинь или сожги. А потом обновляй.
За ваши деньги решу ваши проблемы. Стучи в ЛС.
Нет человека - нет проблемы. (c)
Аватара пользователя
HAMMER663
Former team member
Сообщения: 2032
Стаж: 13 лет 10 месяцев
Откуда: Зеленоград
Благодарил (а): 37 раз
Поблагодарили: 39 раз

Re: Сообщаем об ошибках phpBB 3.1.x разработчикам

Сообщение HAMMER663 »

В тексте ошибки есть упоминание об отсутствующем сервисе auth.provider.joomla
Ну я и предположил,что это от интеграции

Добавлено спустя 25 секунд:
Опередил)
drugold
phpBB 1.4.2
Сообщения: 72
Стаж: 13 лет 7 месяцев
Откуда: СССР
Благодарил (а): 4 раза
Поблагодарили: 5 раз

Re: Сообщаем об ошибках phpBB 3.1.x разработчикам

Сообщение drugold »

phpBB 3.1.1
Не удаляются модули: Администраторский раздел - Система - Управление модулями

От 3.0.12 остались модули в БД. Пытался почистить, выдаёт ошибку: Не указан ID модуля. Впрочем, не удаляются и модули от 3.1.1.
управление модулями.png
У вас нет необходимых прав для просмотра вложений в этом сообщении.
VDS: OpenVZ [Intel(R) Xeon(R) CPU E5645 @ 2.40GHz 1596.000 Mhz X 4 / 4096 MB / 120 GB]
HTTPd: Apache/2.2.22 (Debian)
PHP: 5.4.4-14+deb7u12
MySQL(i): 5.5.33-0+wheezy1
---
Основной: phpBB 3.0.14
Тестовый: phpBB 3.1.8
Аватара пользователя
Alecto
phpBB 3.0.12
Сообщения: 2857
Стаж: 14 лет 1 месяц
Откуда: Украина! Харьков
Благодарил (а): 68 раз
Поблагодарили: 241 раз

Re: Сообщаем об ошибках phpBB 3.1.x разработчикам

Сообщение Alecto »

скорее всего внутри модуля есть пункты меню.
зайди в модуль и удали их, потом уже можно сам модуль.
у меня так проблема решилась.
drugold
phpBB 1.4.2
Сообщения: 72
Стаж: 13 лет 7 месяцев
Откуда: СССР
Благодарил (а): 4 раза
Поблагодарили: 5 раз

Re: Сообщаем об ошибках phpBB 3.1.x разработчикам

Сообщение drugold »

Alecto писал(а):скорее всего внутри модуля есть пункты меню
Пишет ту же ошибку.
VDS: OpenVZ [Intel(R) Xeon(R) CPU E5645 @ 2.40GHz 1596.000 Mhz X 4 / 4096 MB / 120 GB]
HTTPd: Apache/2.2.22 (Debian)
PHP: 5.4.4-14+deb7u12
MySQL(i): 5.5.33-0+wheezy1
---
Основной: phpBB 3.0.14
Тестовый: phpBB 3.1.8
Аватара пользователя
bumbr
phpBB 1.4.4
Сообщения: 129
Стаж: 12 лет 8 месяцев
Откуда: Беларусь
Благодарил (а): 5 раз

Re: Сообщаем об ошибках phpBB 3.1.x разработчикам

Сообщение bumbr »

drugold, та же ботва, ты не одинок =))
Anvar
Former team member
Сообщения: 1965
Стаж: 13 лет 10 месяцев
Благодарил (а): 57 раз
Поблагодарили: 623 раза

Re: Сообщаем об ошибках phpBB 3.1.x разработчикам

Сообщение Anvar »

Действительно, есть такая ошибка у обновлённых форумов.
Аватара пользователя
rxu
phpBB Guru
phpBB Guru
Сообщения: 16293
Стаж: 17 лет 9 месяцев
Откуда: Красноярск
Благодарил (а): 514 раз
Поблагодарили: 1720 раз

Re: Сообщаем об ошибках phpBB 3.1.x разработчикам

Сообщение rxu »

Если не удалять кастомные модули от 3.0 перед конвертацией - то есть.
Изображение
Аватара пользователя
bumbr
phpBB 1.4.4
Сообщения: 129
Стаж: 12 лет 8 месяцев
Откуда: Беларусь
Благодарил (а): 5 раз

Re: Сообщаем об ошибках phpBB 3.1.x разработчикам

Сообщение bumbr »

Я как раз таки все модули удалил, вот только зря наверно удалил пустую вкладку модули. Буду пробовать заново, все равно на денвере пока гоняю.
Аватара пользователя
rxu
phpBB Guru
phpBB Guru
Сообщения: 16293
Стаж: 17 лет 9 месяцев
Откуда: Красноярск
Благодарил (а): 514 раз
Поблагодарили: 1720 раз

Re: Сообщаем об ошибках phpBB 3.1.x разработчикам

Сообщение rxu »

bumbr писал(а):Я как раз таки все модули удалил
Наверное, не удалили модуль Автомода.
Изображение
Аватара пользователя
Татьяна5
Поддержка
Поддержка
Сообщения: 12315
Стаж: 12 лет 6 месяцев
Благодарил (а): 164 раза
Поблагодарили: 2439 раз

Re: Сообщаем об ошибках phpBB 3.1.x разработчикам

Сообщение Татьяна5 »

bumbr писал(а):зря наверно удалил пустую вкладку модули
Это действительно зря. В 3.1 эта вкладка переименуется в "расширения"
Аватара пользователя
bumbr
phpBB 1.4.4
Сообщения: 129
Стаж: 12 лет 8 месяцев
Откуда: Беларусь
Благодарил (а): 5 раз

Re: Сообщаем об ошибках phpBB 3.1.x разработчикам

Сообщение bumbr »

rxu писал(а):Наверное, не удалили модуль Автомода.
Даж не ставил ))
Татьяна5 писал(а):Это действительно зря. В 3.1 эта вкладка переименуется в "расширения"
Ну да, я первый раз когда ставил 3.1, то не смог на неё зайти, сыпались ошибки об отсутствии файлов установленных модулей. Вот потом решил повторить и удалил все модули вместе со вкладкой )). Вкладку потом создал, переименовал как положено, но походу еще пару левых создал - вот их и не могу удалить, и они какие то прыгающие получились - то есть, то нет.
Сейчас вот пробую без модулей с пустой вкладкой. Подобавляю, поудаляю вкладки, потом, посмотрю. А тож как придет время на живой форум ставить, дак чтоб без паники обошлось хочется ))
LBeaver
phpBB 1.4.4
Сообщения: 153
Стаж: 9 лет 3 месяца
Благодарил (а): 47 раз
Поблагодарили: 44 раза

Re: Сообщаем об ошибках phpBB 3.1.x разработчикам

Сообщение LBeaver »

Если внутри img указать адрес, содержащий ".php" (например http://www.phpbbguru.net/templates/nx_guru/images/logo.png), то поучаем ошибку
[phpBB Debug] PHP Warning: in file [ROOT]/includes/message_parser.php on line 1029: strpos(): Empty needle.
У кого-нибудь ещё воспроизводится?
Аватара пользователя
Sheer
Former team member
Сообщения: 12113
Стаж: 17 лет
Откуда: Калининград не Кенигсберг
Благодарил (а): 41 раз
Поблагодарили: 1716 раз

Re: Сообщаем об ошибках phpBB 3.1.x разработчикам

Сообщение Sheer »

LBeaver писал(а):воспроизводится?
Нет.
Изображение
Общие ошибки новичков (07.11.2005) & Как задавать вопросы
Мини FAQ
Если ничто другое не помогает, прочтите, наконец, инструкцию!
"Никакая инструкция не может перечислить всех обязанностей должностного лица, предусмотреть все отдельные случаи и дать вперёд соответствующие указания, а поэтому господа инженеры должны проявить инициативу и, руководствуясь знаниями своей специальности и пользой дела, принять все усилия для оправдания своего назначения".
Циркуляр Морского технического комитета №15 от 29.11.1910 г.

Вернуться в «Поддержка phpBB 3.1.x»